stages:
  - checks

include:
  # Run CI for default branch, tags, and merge requests (not for other branches)
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'

image: registry.gitlab.com/sosy-lab/benchmarking/competition-scripts/test:latest

variables:
  GIT_SUBMODULE_STRATEGY: normal
  GIT_STRATEGY: fetch
  GIT_DEPTH: "1"

check_2021:
  stage: checks
  script:
  - wget -q https://github.com/sosy-lab/benchexec/archive/master.zip && unzip -q master.zip
  - PYTHONPATH=benchexec-master python3 ./scripts/test/check-archives-svcomp.py 2021

check_root:
    stage: checks
    script:
        - "for invalid in $(find . -maxdepth 1 -iname '*zip'); do echo \"ERROR: zip-file $invalid in root directory\" && false; done"

